### Virtual Method

# Gtk.CellArea.snapshot

#### Declaration [src]

    void
    snapshot (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      GtkSnapshot* snapshot,
      const GdkRectangle* background_area,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags,
      gboolean paint_focus
    )

#### Description [src]

Snapshots `area`’s cells according to `area`’s layout onto at the given coordinates.

#### Parameters

`context` | `GtkCellAreaContext`
| the `GtkCellAreaContext` for this row of data.
| Ownership is not transferred to the callee
`widget` | `GtkWidget`
| the `GtkWidget` that `area` is rendering to
| Ownership is not transferred to the callee
`snapshot` | `GtkSnapshot`
| the `GtkSnapshot` to draw to
| Ownership is not transferred to the callee
`background_area` | `const GdkRectangle*`
| the `widget` relative coordinates for `area`’s background
| Ownership is not transferred to the callee
`cell_area` | `const GdkRectangle*`
| the `widget` relative coordinates for `area`
| Ownership is not transferred to the callee
`flags` | `GtkCellRendererState`
| the `GtkCellRendererState` for `area` in this row.
`paint_focus` | `gboolean`
| whether `area` should paint focus on focused cells for focused rows or not.